package de.ivu.elect.business.gebietsbaum.control;

import java.io.Serializable;

import javax.enterprise.event.Event;
import javax.inject.Inject;

import de.ivu.elect.business.wahl.entity.WahlOderWahltermin;
import de.ivu.elect.business.wahl.entity.WahlOderWahlterminPK;
import de.ivu.elect.business.wahl.entity.Wahltermin;
import de.ivu.elect.business.wahl.entity.WahlterminPK;

public class PruefkennzeichenAutomatischGenerierenEvent implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  transient Event<PruefkennzeichenAutomatischGenerierenEvent> event;

  private WahlOderWahlterminPK wahlOderWahlterminPK;

  private PruefkennzeichenAutomatischGenerierenEvent() {
  }

  public PruefkennzeichenAutomatischGenerierenEvent(WahlOderWahlterminPK wahlOderWahlterminPK) {
    this.wahlOderWahlterminPK = wahlOderWahlterminPK;
  }

  public void sendEvent(WahlOderWahltermin wahlOderWahltermin) {
    if (wahlOderWahltermin!=null) {
      event.fire(new PruefkennzeichenAutomatischGenerierenEvent(wahlOderWahltermin.getWahlOderWahlterminPK()));
    }
  }

  public WahlOderWahlterminPK getWahlOderWahlterminPK() {
    return wahlOderWahlterminPK;
  }
}
